﻿@Html.DevExpress().GridView(
            settings =>
            {
                settings.Name = "grdDataAnnouncement";
                settings.KeyFieldName = "AnnouncementID";
                settings.Width = System.Web.UI.WebControls.Unit.Percentage(100);

                settings.Styles.Header.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                settings.ControlStyle.Border.BorderWidth = System.Web.UI.WebControls.Unit.Pixel(0);
                settings.ControlStyle.BackColor = System.Drawing.Color.White;
                settings.Styles.Row.BackColor = System.Drawing.Color.White;
                settings.Settings.GridLines = System.Web.UI.WebControls.GridLines.Horizontal;
                settings.Settings.ShowColumnHeaders = false;
                
                settings.Columns.Add(col =>
                {
                    col.FieldName = "AnnouncementID";
                    col.SetDataItemTemplateContent(container =>
                    {
                        Html.DevExpress().HyperLink(hlSettings =>
                        {
                            hlSettings.Name = string.Format("hlannoun_{0}", (container as GridViewDataItemTemplateContainer).VisibleIndex);
                            hlSettings.NavigateUrl = "javascript:void(0)";
                            hlSettings.Properties.ClientSideEvents.Click = string.Format("function(s, e) {{ ShowAnnouncementPopup('{0}'); }}", Url.Action("AnnouncementDetail", "Dashboard", new { _announcementID = (container as GridViewDataItemTemplateContainer).KeyValue.ToString() }));
                            hlSettings.Properties.Text = (container as GridViewDataItemTemplateContainer).KeyValue.ToString();
                        }).Render();
                    });
                });
                settings.Columns["AnnouncementID"].Width = System.Web.UI.WebControls.Unit.Percentage(75); 
                
                settings.Columns.Add("CreateDate").Width = System.Web.UI.WebControls.Unit.Percentage(25); 
                settings.Columns["CreateDate"].CellStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;

                settings.CallbackRouteValues = new { Controller = "Dashboard", Action = "AnnouncementPartial" };

                settings.SettingsPager.Position = System.Web.UI.WebControls.PagerPosition.Bottom;
                settings.SettingsPager.FirstPageButton.Visible = true;
                settings.SettingsPager.LastPageButton.Visible = true;

                settings.SettingsPager.PageSize = 5;
                settings.SettingsPager.PageSizeItemSettings.Visible = true;
                settings.SettingsPager.PageSizeItemSettings.Items = new string[] { "5", "10", "30" };
                settings.SettingsPager.PageSizeItemSettings.Caption = "Page Size";
            }
        ).Bind(Model.GetModel<Portal.Models.DashboardModel>().Announcements).GetHtml()